#include "DraggableLabel.h"
#include <QDrag>
//Added by qt3to4:
#include <QLabel>
#include <QMouseEvent>

DraggableLabel::DraggableLabel(QWidget *parent, const QString& lab, CCodeGenerator *cg, int sel)
    : QLabel(lab,parent) , Cgenerator(cg), selector(sel)
{
}


DraggableLabel::~DraggableLabel()
{
}

void DraggableLabel::mousePressEvent ( QMouseEvent * /* e */) 
{
    QDrag *d = new QDrag(this) ;
    QMimeData *mimeData = new QMimeData;
    mimeData->setText(Cgenerator->makeCode(selector));
    d->setMimeData(mimeData);
    d->exec() ;
}
