#ifndef XQLISTVIEWITEM_H
#define XQLISTVIEWITEM_H

#include <QTreeWidgetItem>
#include <qstring.h>
#include <qpainter.h>

/**
	Special QListViewItem for Project Widget

	@author Alain Gibaud (free.fr) <alain.gibaud@free.fr>
*/ 
class XQListViewItem : public  QTreeWidgetItem
{
	public:
        XQListViewItem ( QTreeWidgetItem * parent, const QStringList& labels ) ;

		virtual ~XQListViewItem();
        // virtual void paintCell ( QPainter * p, const QColorGroup & cg, int column, int width, int align ) ;
        virtual int compare ( QTreeWidgetItem* i, int col, bool ascending ) const ;
};

#endif
